ProtocolVersion (Bouncy Castle Library 1.54 API Specification)
Date: 2015-12-29

org.bouncycastle.crypto.tls

## Class ProtocolVersion

- java.lang.Object
- - org.bouncycastle.crypto.tls.ProtocolVersion

-     public final class ProtocolVersion
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static ProtocolVersion` | `DTLSv10`
    `static ProtocolVersion` | `DTLSv12`
    `static ProtocolVersion` | `SSLv3`
    `static ProtocolVersion` | `TLSv10`
    `static ProtocolVersion` | `TLSv11`
    `static ProtocolVersion` | `TLSv12`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object other)`
    `boolean` | `equals(ProtocolVersion other)`
    `static ProtocolVersion` | `get(int major, int minor)`
    `ProtocolVersion` | `getEquivalentTLSVersion()`
    `int` | `getFullVersion()`
    `int` | `getMajorVersion()`
    `int` | `getMinorVersion()`
    `int` | `hashCode()`
    `boolean` | `isDTLS()`
    `boolean` | `isEqualOrEarlierVersionOf(ProtocolVersion version)`
    `boolean` | `isLaterVersionOf(ProtocolVersion version)`
    `boolean` | `isSSL()`
    `boolean` | `isTLS()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### SSLv3

          public static final ProtocolVersion SSLv3

    - #### TLSv10

          public static final ProtocolVersion TLSv10

    - #### TLSv11

          public static final ProtocolVersion TLSv11

    - #### TLSv12

          public static final ProtocolVersion TLSv12

    - #### DTLSv10

          public static final ProtocolVersion DTLSv10

    - #### DTLSv12

          public static final ProtocolVersion DTLSv12

  - ### Method Detail

    - #### getFullVersion

          public int getFullVersion()

    - #### getMajorVersion

          public int getMajorVersion()

    - #### getMinorVersion

          public int getMinorVersion()

    - #### isDTLS

          public boolean isDTLS()

    - #### isSSL

          public boolean isSSL()

    - #### isTLS

          public boolean isTLS()

    - #### getEquivalentTLSVersion

          public ProtocolVersion getEquivalentTLSVersion()

    - #### isEqualOrEarlierVersionOf

          public boolean isEqualOrEarlierVersionOf(ProtocolVersion version)

    - #### isLaterVersionOf

          public boolean isLaterVersionOf(ProtocolVersion version)

    - #### equals

          public boolean equals(java.lang.Object other)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### equals

          public boolean equals(ProtocolVersion other)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### get

          public static ProtocolVersion get(int major,
                            int minor)
                                     throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`